%define name xdu
%define version 3.0
%define release %mkrel 8

Summary: Graphically display output of du command 
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.arl.mil/pub/%{name}-%{version}.tar.bz2
License: BSD
Group: File tools
Url: http://sd.wareonearth.com/~phil/xdu/
Buildroot: %_tmppath/%{name}-root
BuildRequires: X11-devel
# needed for rman
BuildRequires: xorg-x11 imake gccmakedep
BuildRequires: lesstif-devel 
Requires: fileutils

%description
Accepts output of du command on standard input and graphically
displays results in a window.

%prep
%setup -c 

%build
xmkmf -a
%make

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p  $RPM_BUILD_ROOT%{_mandir}/man1/
cp %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
%makeinstall_std

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/X11/app-defaults/XDu
%_bindir/xdu
%_prefix/lib/X11/app-defaults
%{_mandir}/man1/*
%doc README



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.0-8mdv2009.0
+ Revision: 222660
- BuildRequires gccmakedep
- BuildRequires imake
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- import xdu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Sep 07 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.0-7mdv2007.0
- Add BuildRequires
- Fix File list

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0-6mdk
- BuildRequires fix

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0-5mdk
- Rebuild

* Sat Jan 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-4mdk
- birthday rebuild

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-3mdk
- rebuild for rpm and glibc
- add forget config file

* Sun Aug 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-2mdk
- Add Buildrequires and Requires
- cleanup

* Sun Aug 11 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-1mdk
- 1st standalone mdk package

